PARAMETERS user_num;

set option public.Global_database_id = {user_num};
set option public.delete_old_logs = 'ON';

create table Admin (
  admin_id integer default global autoincrement(100000) primary key,
  data varchar(30)
);


CREATE PROCEDURE rep_data(IN iter INTEGER DEFAULT 1, IN do_commit INTEGER DEFAULT 0) 
BEGIN
  DECLARE j INTEGER;
  
  SET j = 0;
  WHILE j < iter LOOP
    INSERT INTO Admin(data) VALUES (CAST(RAND()*20 + 1 AS CHAR(10)));
    SET j = j + 1;
    IF do_commit = 1 THEN
      COMMIT;
    END IF;
  END LOOP;
  COMMIT;
END;

CREATE PUBLICATION p1 ( table Admin );
CREATE SYNCHRONIZATION USER "rem{user_num}";
CREATE SYNCHRONIZATION SUBSCRIPTION TO p1 FOR "rem{user_num}" TYPE 'TCPIP' ADDRESS 'host=localhost' OPTION SV='v1' ;

call rep_data( 1 );
